MagickWand: mogrify-private.h File Reference

# mogrify-private.h File Reference

Go to the source code of this file.

## Defines
#define | MaxImageStackDepth 32
#define | MogrifyImageStack(image, advance, fire)
#define | DegreesToRadians(x) (MagickPI*(x)/180.0)
#define | MagickPI 3.14159265358979323846264338327950288419716939937510
#define | QuantumScale ((MagickRealType) 1.0/(MagickRealType) QuantumRange)
#define | QuantumTick(i, span)
#define | RadiansToDegrees(x) (180.0*(x)/MagickPI)
## Functions
static MagickRealType | MagickPixelIntensity (const MagickPixelPacket *pixel)
static Quantum | MagickPixelIntensityToQuantum (const MagickPixelPacket *pixel)
static MagickRealType | PixelIntensity (const PixelPacket *pixel)
static Quantum | PixelIntensityToQuantum (const PixelPacket *pixel)
static void | SetMagickPixelPacket (const Image *image, const PixelPacket *color, const IndexPacket *index, MagickPixelPacket *pixel)

## Define Documentation

#define DegreesToRadians | ( | x |  | ) | (MagickPI*(x)/180.0)

#define MagickPI 3.14159265358979323846264338327950288419716939937510

#define MaxImageStackDepth 32

#define MogrifyImageStack | ( | image,
|  | advance,
|  | fire |  | ) |

Value:

    if ((j <= i) && (i < argc)) \
        { \
          if ((image) == (Image *) NULL) \
            status&=MogrifyImageInfo(image_info,(int) (i-j+1),(const char **) \
              argv+j,exception); \
          else \
            if ((fire) != MagickFalse) \
              { \
                status&=MogrifyImages(image_info,(int) (i-j+1),(const char **) \
                  argv+j,&(image),exception); \
                if ((advance) != MagickFalse) \
                  j=i+1; \
                pend=MagickFalse; \
              } \
        }

#define QuantumScale ((MagickRealType) 1.0/(MagickRealType) QuantumRange)

#define QuantumTick | ( | i,
|  | span |  | ) |

Value:

    ((MagickBooleanType) ((((i) & ((i)-1)) == 0) || \
       (((i) & 0xfff) == 0) || \
       ((MagickOffsetType) (i) == ((MagickOffsetType) (span)-1))))

#define RadiansToDegrees | ( | x |  | ) | (180.0*(x)/MagickPI)

## Function Documentation

static MagickRealType MagickPixelIntensity | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static Quantum MagickPixelIntensityToQuantum | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static MagickRealType PixelIntensity | ( | const PixelPacket * | pixel | ) | `[inline, static]`

static Quantum PixelIntensityToQuantum | ( | const PixelPacket * | pixel | ) | `[inline, static]`

static void SetMagickPixelPacket | ( | const Image * | image,
|  | const PixelPacket * | color,
|  | const IndexPacket * | index,
|  | MagickPixelPacket * | pixel |
| ) |  |  | `[inline, static]`